/***********************************************************/
/*      _  __ __                                           */
/*  /_//_)/_ (                                             */
/* / //( (_/__)|/STEM   written by H.Raaf  1992-93        */
/*             /                                           */
/*                           ProDev / X-Pert               */
/*                                                         */
/***********************************************************/
/*                                                         */
/* Include file for HRGSystem.library (HDCMP.H) V38        */
/*                                                         */
/***********************************************************/

#ifndef HRG_HDCMP_H
#define HRG_HDCMP_H

#define HDCMP_RAWMOUSE		0x0001		/* RawMouse wie bei Intuition (nicht gefiltert) */
#define HDCMP_RAWKEY			0x0002		/* RawKey wie bei Intuition (nicht gefiltert) */
#define HDCMP_VANILLAKEY	0x0004		/* Aehnlich Intuition Vanilla Key */
#define HDCMP_CURSORREL		0x0008		/* Relative Cursor X/Y Position (nur bei SYS-Cursor) */
#define HDCMP_CURSORPOS		0x0010		/* Absolute Cursor X/Y Position (nur bei SYS-Cursor) */
#define HDCMP_MOUSEBUTTONS	0x0020		/* Einzeln Msg fuer die Buttons (X/Y Pos aus Handle) */
#define HDCMP_SCREENBACK	0x0040		/* Screen wurde nach "hinten" gelegt */
#define HDCMP_SCREENFRONT	0x0080		/* Screen wurde nach "vorne" geholt */
#define HDCMP_SCREENCLOSE	0x0100		/* Screen wird nach Reply geschlossen */

struct HRSysMsg
{
	struct Message ExecMessage;
	ULONG	Class;
	UWORD	Code;
	UWORD Qualifier;
	APTR	HRAddress;
	WORD	PosX;
	WORD	PosY;
	ULONG	Seconds;
	ULONG	Micros;
	struct HRHandle *HDCMPHandle;
	APTR	HRExtend;
};

#endif

